#!/bin/sh

#Install NRDS Server Plugin
#--------------------------
BASEDIR=$(dirname $0)
cd $BASEDIR
# Check whether we have sufficient privileges
if [ $(id -u) -ne 0 ]; then
	echo "This script needs to be run as root/superuser." >&2
	exit 0
fi

# In NRDS already installed?
if [ -f installed.nrds ]; then
	echo "NRDS already installed"
	exit 0
fi

(   
    cd /tmp
    
	if [ ! -f $INSTALL_PATH/offline ]; then
		wget http://assets.nagios.com/downloads/nrdp/nrds.tar.gz
    else
		cp $INSTALL_PATH/packages/offlineinstall/Downloads/nrds.tar.gz ./nrds.tar.gz
	fi
	
	tar xzf nrds.tar.gz
    cd nrds
    if [ -f "installnrdsserver" ];then
        ./installnrdsserver
        chmod -R ug+rwx "/usr/local/nrdp/configs" "/usr/local/nrdp/plugins"
    else
        echo "Install script not found aborting"
        exit 0
    fi
)
if [ -f "/usr/local/nrdp/clients/nrds/nrds.pl" ]; then
    touch installed.nrds
    echo "NRDS Server component installed sucessfully"
    echo ""
else
    echo "INSTALATION FAILED: Expected /usr/local/nrdp/clients/nrds/nrds.pl to exist"
fi
